Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.model
Interface DDBeanRoot

All Superinterfaces:
  DDBean

public interface DDBeanRoot
extends DDBean

An interface that represents the root of a standard deployment descriptor. A DDBeanRoot is a type of DDBean.

Author:
  gfink

Method Summary
`java.lang.String` | `getDDBeanRootVersion()` Returns the version number of an XML instance document.
`DeployableObject` | `getDeployableObject()` Return the containing DeployableObject
`java.lang.String` | `getFilename()` Returns the filename relative to the root of the module of the XML instance document this DDBeanRoot represents.
`java.lang.String` | `getModuleDTDVersion()` Deprecated. As of version 1.1 replaced by DDBeanRoot.getDDBeanRootVersion()
`ModuleType` | `getType()` Return the ModuleType of deployment descriptor.
`java.lang.String` | `getXpath()` Return the XPath for this standard bean.

Methods inherited from interface javax.enterprise.deploy.model.DDBean
`addXpathListener, getAttributeNames, getAttributeValue, getChildBean, getId, getRoot, getText, getText, removeXpathListener`

Method Detail

### getType

    public ModuleType getType()

  Return the ModuleType of deployment descriptor.

  Returns:
    The ModuleType of deployment descriptor

### getDeployableObject

    public DeployableObject getDeployableObject()

  Return the containing DeployableObject

  Returns:
    The DeployableObject that contains this deployment descriptor

### getModuleDTDVersion

    public java.lang.String getModuleDTDVersion()

  Deprecated. As of version 1.1 replaced by DDBeanRoot.getDDBeanRootVersion()

  A convenience method to return the DTD version number. The DeployableObject has this information.

  Returns:
    a string containing the DTD version number This method is being deprecated. Two DD data formats are being used, DTD and XML Schema. DDBeanRoot.getDDBeanRootVersion should be used in its place.

### getDDBeanRootVersion

    public java.lang.String getDDBeanRootVersion()

  Returns the version number of an XML instance document. This method is replacing the methods DDBeanRoot.getModuleDTDVersion and DeployableObject.getModuleDTDVersion. This method returns the version number of any J2EE XML instance document.

  Returns:
    a string that is the version number of the XML instance document. Null is returned if no version number can be found.

### getXpath

    public java.lang.String getXpath()

  Return the XPath for this standard bean. The root XPath is "/".

  Specified by:
    `getXpath` in interface `DDBean`
  Returns:
    "/" this is the root standard bean.

### getFilename

    public java.lang.String getFilename()

  Returns the filename relative to the root of the module of the XML instance document this DDBeanRoot represents.

  Returns:
    String the filename relative to the root of the module

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.